<?php if ($_SERVER['REQUEST_METHOD'] === 'GET'): ?>
    <html>
    <head>
        <title>Send Message</title>
        <link rel="stylesheet" type="text/css" href="./exercise_styles.css"/>
    </head>
    <body>
    <?php if (isset($_GET['error'])): ?>
        <div class="error">
            <?= $_GET['error']; ?>
        </div>
    <?php endif; ?>
    <?php if (isset($_GET['message'])): ?>
        <div class="message">
            <?= $_GET['message']; ?>
        </div>
    <?php endif; ?>
    <form method="post">
        <ul>
            <li>
                <label for="name">Name:</label>
                <input type="text" id="name" name="user_name" value="<?= $_REQUEST['user_name'] ?>">
            </li>
            <li>
                <label for="email">E-mail:</label>
                <input type="text" id="email" name="user_email" value="<?= $_REQUEST['user_email'] ?>">
            </li>
            <li>
                <label for="message">Message:</label>
                <textarea id="message" name="user_message"><?= $_REQUEST['user_message'] ?></textarea>
            </li>
            <li class="button">
                <button type="submit">Send</button>
            </li>
        </ul>
    </form>
    </body>
    </html>
<?php endif; ?>
<?php
if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    return;
}

function checkEmailDomain($email)
{
    $domain = substr($email, strrpos($email, '@') + 1);
    system("nslookup {$domain} > /dev/null", $exitCode);
    return ($exitCode == 0);
}

function redirect(array $params)
{
    $url = $_SERVER['PHP_SELF'];
    $query = parse_url($url, PHP_URL_QUERY);
    header('Location: ' . $url . ($query ? '&' : '?') . http_build_query($params));
    exit;
}

function sendMessage($name, $email, $message)
{
    // DUMMY SEND HERE
    redirect(['message' => 'Message Sent']);
}

$name = $_POST['user_name'];
$email = $_POST['user_email'];
$message = $_POST['user_message'];

if (!checkEmailDomain($email)) {
    redirect([
        'error' => 'Invalid email address',
        'user_name' => $name,
        'user_email' => $email,
        'user_message' => $message,
    ]);
}

sendMessage($name, $email, $message);

