<?php
$data = include "./exercise_2_data.php";
function findData($data, $search)
{
    $search = trim(strtolower($search));
    return array_filter($data, function ($row) use ($search) {
        return (strpos(strtolower($row['email']), $search) !== false) || (strpos(strtolower($row['name']), $search) !== false);
    });
}

?>
<html>
<head>
    <title>Find Customer</title>
    <link rel="stylesheet" type="text/css" href="./exercise_styles.css"/>
</head>
<body>
<form method="post">
    <ul>
        <li>
            <label for="search">Search Term:</label>
            <input type="text" id="search" name="search" value="<?= $_REQUEST['email'] ?>">
        </li>
        <li class="button">
            <button type="submit">Search</button>
        </li>
    </ul>
</form>
<?php if ($_SERVER['REQUEST_METHOD'] === 'POST' && !empty($_POST['search'])): ?>
    <?php $rows = findData($data, $_POST['search']); ?>
    <table border="1">
        <thead>
        <tr>
            <th>Name</th>
            <th>Email</th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($rows as $row): ?>
            <tr>
                <td><?= $row['name'] ?></td>
                <td><?= $row['email'] ?></td>
            </tr>
        <?php endforeach; ?>
        </tbody>
    </table>
<?php endif; ?>
</body>
</html>
